<?php
/*
=============================================
 Движок:  SHCMS Engine
=============================================
 Название файла: Библиотека
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Настройка разделов библиотеки';
include_once'../template/head.php';
registrat();
$adminka ->admin();
if($_GET['id']){$id = $_GET['id'];}

    if($act and !$id)
    {
        errors("Ошибка при выводе информации");
        header("Refresh: 1; url=?");
        include_once'../template/foot.php';
        exit;
    }

        switch($act):
    case '':
        $libs = mysql_query("SELECT * FROM `libs`");
		
        while($lib = mysql_fetch_array($libs))
        {
            echo '<div class="posts">
                <img src="../template/icon/dir.png"/>';
            echo ' <a href="list.php?id='.$lib['id'].'">'.$lib['name'].'</a><div class="maintime">';
            echo "<a title='Редактировать' href='?act=edit&id=$lib[id]'><img src='/template/icon/edit.png'></a>
			<a title='Удаление раздела' href='?id=$lib[id]&act=delete'><img src='/template/icon/delete.png'></a>";
            echo '</div><br/>'.$lib['text'].'</div>';
        }
		
		echo '<div class="posts"><a href="new_razd.php"><strong>Создать раздел</strong></a></div>';
    break;

    case'delete':

        $mysql_delete = mysql_fetch_array(mysql_query("SELECT * FROM `libs` WHERE `id` = '$id'"));
        $delete = mysql_query("DELETE FROM `libs` WHERE `id` = '$id'");

            if($delete == true)
            {
                messag("Раздел $mysql_delete[name] успешно удален");
                header("Refresh: 1; url=?");
                include_once'../template/foot.php';
                exit;
            }
            else
            {
                errors("Раздел $mysql_delete[name] не удален");
                header("Refresh: 1; url=?");
                include_once'../template/foot.php';
                exit;
            }
    break;


    case'edit':

        $libs = mysql_fetch_array(mysql_query("SELECT * FROM `libs` WHERE `id` = '$id'"));
            if(isset($_POST['submit']))
            {
                $submit = $_POST['submit'];
            }
        if(isset($submit))
        {
                if(isset($_POST['name']))
                {
                    $name = $_POST['name'];
                }
                if(isset($_POST['text']))
                {
                    $text = $_POST['text'];
                }

            if(empty($name))
            {
                errors("Введите название раздела");
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        $libs_mysql = mysql_query("UPDATE `libs` SET `name` = '$name',`text` = '$text' WHERE `id` = '$id'");
            if($libs_mysql == true)
            {
                messag('Раздел  успешно изменен');
                header("Refresh: 1; url=?");
                include_once '../template/foot.php';
                exit;
            }
            else
            {
                errors('Возникла ошибка при редактировании');
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        }
    echo '<form action="?act=edit&id='.$id.'" method="post">';
    echo 'Название:<br/><input type="text" name="name" value="'.$libs['name'].'"><br/>';
    echo 'Описание<br/><textarea name="text">'.$libs['text'].'</textarea><br/>';
    echo '<input type="submit" name="submit">';
    echo '</form>';


    break;
        endswitch;


include_once'../template/foot.php';
?>